import React, { ChangeEvent } from "react";
import { Room, MatrixEvent, KnownPollKind } from "matrix-js-sdk/src/matrix";
import ScrollableBaseModal, { IScrollableBaseState } from "../dialogs/ScrollableBaseModal";
interface IProps {
    room: Room;
    threadId?: string;
    editingMxEvent?: MatrixEvent;
    onFinished(pollCreated?: boolean): void;
}
declare enum FocusTarget {
    Topic = 0,
    NewOption = 1
}
interface IState extends IScrollableBaseState {
    question: string;
    options: string[];
    busy: boolean;
    kind: KnownPollKind;
    autoFocusTarget: FocusTarget;
}
export default class PollCreateDialog extends ScrollableBaseModal<IProps, IState> {
    private addOptionRef;
    constructor(props: IProps);
    private checkCanSubmit;
    private onQuestionChange;
    private onOptionChange;
    private onOptionRemove;
    private onOptionAdd;
    private createEvent;
    protected submit(): void;
    protected cancel(): void;
    protected renderContent(): React.ReactNode;
    onPollTypeChange: (e: ChangeEvent<HTMLSelectElement>) => void;
}
export {};
